$(function() {
	//删除弹窗提示
	$('.ngro-Jclick-shanchubi').on("click", function() {           
		return confirm('确定要删除该广告吗？');       
	})
	var title;
	$(".title3div").hover(function() {
		var checked_flag = $(this).prev().is(':checked');
		if (checked_flag) {
			title = "已启用，点击取消启用";
		} else {
			title = "还未启用，点击设置成启用广告";
		}
		//获取当前 title 字串并将立即将其设置为空，防止a标签中系统自动显示
		this.title = '';
		$(this).css('cursor', 'pointer'); //手形
		//创建一个div
		$('body').append('<div id="titlediv_jq" class="title_div rounded">' + title + '</div>');
		//当前可视窗口宽
		var win_width = document.documentElement.clientWidth ? document.documentElement.clientWidth : (window.innerWidth ? window.innerWidth : (document.body.clientWidth ? document.body.clientWidth : 1024));
		//div宽度
		var width = $('#titlediv_jq').width();
		//div定位x，1、当前元素位于屏幕左侧时：左边距离 = 当前元素x座标 + 当前元素宽度。2、当前元素位于屏幕右侧时：左边距 = 当前元素Y座标 - div宽
		var x = $(this).offset().left;
		var left = x < (win_width / 2) ? x + $(this).width() : x - width;
		//div定位y，顶部距离 = 当前元素y坐标 + 当前元素高度
		var top = $(this).offset().top + $(this).height();
		//div重新定位
		$('#titlediv_jq').css({
			'top': top + "px",
			"left": left + "px",
			"opacity": '0'
		});
		$('#titlediv_jq').animate({
			opacity: '0.9'
		}, 600); // 透明度
	}, function() {
		this.title = title; //还原当前 title
		$('#titlediv_jq').remove(); //删除创建的 div
	});
	//页面中的input按钮事件
	$('.tpl-switch').find('.tpl-switch-btn-view').on('click', function() {
		$(this).prev('.tpl-switch-btn').prop("checked", function() {
			if ($(this).is(':checked')) {
				return false;
			} else {
				return true;
			}
		})
	})
	//底部调整
	var isChrome = navigator.userAgent.toLowerCase().match(/chrome/) != null; 
	if (!isChrome) {
		$(".tpl-page-container .tpl-content-wrapper").addClass("R-wra");
		$(".tpl-page-container .tpl-left-nav").addClass("L-tpl");
	}

})